MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Functions
CheckAudioFormat.hxx File Reference
`#include "AudioFormat.hxx"`
Include dependency graph for CheckAudioFormat.hxx:

Go to the source code of this file.

## Functions
void | CheckSampleRate (unsigned long sample_rate)
void | CheckSampleFormat (SampleFormat sample_format)
void | CheckChannelCount (unsigned sample_format)
AudioFormat | CheckAudioFormat (unsigned long sample_rate, SampleFormat sample_format, unsigned channels)
| Check AudioFormat attributes and construct an AudioFormat instance. More...

## Function Documentation

AudioFormat CheckAudioFormat | ( | unsigned long | sample_rate,
|  | SampleFormat | sample_format,
|  | unsigned | channels
| ) |  |

Check AudioFormat attributes and construct an AudioFormat instance.

Throws #std::runtime_error on error.

void CheckChannelCount | ( | unsigned | sample_format | ) |

void CheckSampleFormat | ( | SampleFormat | sample_format | ) |

void CheckSampleRate | ( | unsigned long | sample_rate | ) |